작업 공간 오케스트레이션 엔진을 통해 특정 세션에 대한 모든 메시지를 가져옵니다. 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다.
GET /api/v1/projects/{id}/sessions/{session_id}/messages
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/sessions/{session_id}/messages' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"history_status": "string",
"latest_status": "string",
"messages": [
{
"additional_kwargs": {},
"content": "string",
"id": "string",
"name": "string",
"role": "string",
"session_id": "string",
"timestamp": "string",
"tool_call_id": "string",
"tool_calls": [
{
"id": "string",
"index": 42,
"name": "string",
"type": "string"
}
]
}
]
}
응답 예시(200)
{
"history_status": "string",
"latest_status": "string",
"messages": [
{
"additional_kwargs": {},
"content": "string",
"id": "string",
"name": "string",
"role": "string",
"session_id": "string",
"timestamp": "string",
"tool_call_id": "string",
"tool_calls": [
{
"id": "string",
"index": 42,
"name": "string",
"type": "string"
}
]
}
]
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(422)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(422)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}